/2025-10/retail-media/accounts/{account-id}/audience-segments
curl --request PATCH \
--url https://api.criteo.com/2025-10/retail-media/accounts/{account-id}/audience-segments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"attributes": {
"contactList": {},
"description": {
"value": "<string>"
},
"events": {
"brandIds": [
"<string>"
],
"categoryIds": [
"<string>"
],
"maxPrice": {
"value": 123
},
"minPrice": {
"value": 123
}
},
"name": "<string>"
},
"id": "<string>",
"type": "<string>"
}
]
}
'import requests
url = "https://api.criteo.com/2025-10/retail-media/accounts/{account-id}/audience-segments"
payload = { "data": [
{
"attributes": {
"contactList": {},
"description": { "value": "<string>" },
"events": {
"brandIds": ["<string>"],
"categoryIds": ["<string>"],
"maxPrice": { "value": 123 },
"minPrice": { "value": 123 }
},
"name": "<string>"
},
"id": "<string>",
"type": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [
{
attributes: {
contactList: {},
description: {value: '<string>'},
events: {
brandIds: ['<string>'],
categoryIds: ['<string>'],
maxPrice: {value: 123},
minPrice: {value: 123}
},
name: '<string>'
},
id: '<string>',
type: '<string>'
}
]
})
};
fetch('https://api.criteo.com/2025-10/retail-media/accounts/{account-id}/audience-segments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"attributes": {
"accountId": "<string>",
"channels": [],
"contactList": {
"isReadOnly": true
},
"createdAt": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"description": "<string>",
"events": {
"brandIds": [
"<string>"
],
"categoryIds": [
"<string>"
],
"maxPrice": 123,
"minPrice": 123
},
"name": "<string>",
"retailerId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"id": "<string>",
"type": "<string>"
}
],
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}/2025-10/retail-media/accounts/{account-id}/audience-segments
Updates the properties of all segments with a valid configuration, and returns the full segments. For those that cannot be updated, one or multiple errors are returned.
PATCH
/
2025-10
/
retail-media
/
accounts
/
{account-id}
/
audience-segments
/2025-10/retail-media/accounts/{account-id}/audience-segments
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Account id
Body
application/json
Segment Update request
A top-level object that encapsulates a Criteo API request for several entities.
Show child attributes
Show child attributes
Was this page helpful?
/2025-10/retail-media/brands/search
Previous
/2025-10/retail-media/accounts/{account-id}/audience-segments/{audience-segment-id}/contact-list
Next
⌘I